Skip to main content
POST
Batch assign members

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

teamId
string
required

The unique identifier of the team to which members will be assigned.

Body

application/json
inputs
object[]
required

An array of team member assignments, where each item specifies the details of a team member to be assigned. Each item is of type 'TeamMemberAssignment'.

Response

successful operation

completedAt
string<date-time>
required

The date and time when the batch operation was completed, in ISO 8601 format.

results
object[]
required

An array of TeamMemberResponse objects representing the results of the batch operation.

startedAt
string<date-time>
required

The date and time when the batch operation started, in ISO 8601 format.

status
enum<string>
required

The current status of the batch operation. Valid values include 'PENDING', 'PROCESSING', 'CANCELED', and 'COMPLETE'.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

An array of StandardError objects detailing any errors that occurred during the batch operation.

A map of link names to associated URIs providing additional information about the batch operation.

numErrors
integer<int32>

The number of errors encountered during the batch operation.

requestedAt
string<date-time>

The date and time when the batch operation was requested, in ISO 8601 format.

Last modified on August 3, 2026